Bug 49276 - Non fatal? scsi oops
Non fatal? scsi oops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 12:23 EDT by Phil Copeland
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Copeland 2001-07-17 12:23:20 EDT
Kernel - 2.4.3-12smp

Description of Problem:

Jul 12 16:39:03 ha9 kernel: 0: <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000040
Jul 12 16:39:03 ha9 kernel: e08029e0
Jul 12 16:39:03 ha9 kernel: Oops: 0000
Jul 12 16:39:03 ha9 kernel: CPU:    0
Jul 12 16:39:03 ha9 kernel: EIP:   
0010:[tlan:__insmod_tlan_O/lib/modules/2.4.3-12smp/kernel/drivers/net/+-1025568/96]
Jul 12 16:39:03 ha9 kernel: EIP:    0010:[<e08029e0>] Using defaults from
ksymoops -t elf32-i386 -a i386
Jul 12 16:39:03 ha9 kernel: EFLAGS: 00010292
Jul 12 16:39:03 ha9 kernel: eax: 00000000   ebx: 00000000   ecx: e080bd8a  
edx: 00000001
Jul 12 16:39:03 ha9 kernel: esi: c18ca520   edi: c1c0d800   ebp: c0300548  
esp: dd3aded4
Jul 12 16:39:03 ha9 kernel: ds: 0018   es: 0018   ss: 0018
Jul 12 16:39:03 ha9 kernel: Process bash (pid: 971, stackpage=dd3ad000)
Jul 12 16:39:03 ha9 kernel: Stack: 00000000 00000000 d8282005 e080ba00
d8282009 0000000c e08016cb 00000004 
Jul 12 16:39:03 ha9 kernel:        d828200a 00000000 00000000 c014b566
c1c6d148 00000000 00000000 3b4e0ae7 
Jul 12 16:39:03 ha9 kernel:        3b4e0ae7 3b4e0ae7 d847f9c0 c02553f8
d847f940 d8206d80 dd3ac000 0000000a 
Jul 12 16:39:03 ha9 kernel: Call Trace:
[tlan:__insmod_tlan_O/lib/modules/2.4.3-12smp/kernel/drivers/net/+-988672/96]
[tlan:__insmod_tlan_O/lib/modules/2.4.3-12smp/kernel/drivers/net/+-1030453/96]
[d_alloc+22/368] [locate_fd+202/256] [proc_file_write+49/64] 
Jul 12 16:39:03 ha9 kernel: Call Trace: [<e080ba00>] [<e08016cb>]
[<c014b566>] [<c0145ffa>] [<c0155c81>] 
Jul 12 16:39:03 ha9 kernel:    [<c0137996>] [<c0106f3b>] 
Jul 12 16:39:03 ha9 kernel: Code: 8b 53 40 52 8b 43 2c 50 8b 4b 28 51 8b 53
1c 5
2 0f b7 43 18 

>>EIP; e08029e0 <[scsi_mod]scsi_dump_status+1f0/270>   <=====
Trace; e080ba00 <[scsi_mod]scsi_device_types+6c0/d60>
Trace; e08016cb <[scsi_mod]proc_scsi_gen_write+11b/750>
Trace; c014b566 <d_alloc+16/170>
Trace; c0145ffa <locate_fd+ca/100>
Trace; c0155c81 <proc_file_write+31/40>
Trace; c0137996 <sys_write+96/d0>
Trace; c0106f3b <system_call+33/38>
Code;  e08029e0 <[scsi_mod]scsi_dump_status+1f0/270>
00000000 <_EIP>:
Code;  e08029e0 <[scsi_mod]scsi_dump_status+1f0/270>   <=====
   0:   8b 53 40                  mov    0x40(%ebx),%edx   <=====
Code;  e08029e3 <[scsi_mod]scsi_dump_status+1f3/270>
   3:   52                        push   %edx
Code;  e08029e4 <[scsi_mod]scsi_dump_status+1f4/270>
   4:   8b 43 2c                  mov    0x2c(%ebx),%eax
Code;  e08029e7 <[scsi_mod]scsi_dump_status+1f7/270>
   7:   50                        push   %eax
Code;  e08029e8 <[scsi_mod]scsi_dump_status+1f8/270>
   8:   8b 4b 28                  mov    0x28(%ebx),%ecx
Code;  e08029eb <[scsi_mod]scsi_dump_status+1fb/270>
   b:   51                        push   %ecx
Code;  e08029ec <[scsi_mod]scsi_dump_status+1fc/270>
   c:   8b 53 1c                  mov    0x1c(%ebx),%edx
Code;  e08029ef <[scsi_mod]scsi_dump_status+1ff/270>
   f:   52         push   %edx
Code;  e08029f0 <[scsi_mod]scsi_dump_status+200/270>
  10:   0f b7 43 18               movzwl 0x18(%ebx),%eax


How Reproducible:

This is a shared scsi rig
ie two machines connecting to the same external scsi disk

machine A(ha8) ------ disk ------ machine B(ha9)

the external disk is formatted 

This occurs when a scsi reset is forced on the bus.
Comment 1 Michael K. Johnson 2001-07-17 12:33:09 EDT
What drivers were in use on each machine?
Which driver was in use on the machine on which you got this message?
Comment 2 Phil Copeland 2001-07-17 13:47:45 EDT
[root@ha9 /root]# lsmod
Module                  Size  Used by
autofs                  9504   1  (autoclean)
pcmcia_core            40864   0 
tlan                   25840   1  (autoclean)
ipchains               32000   0  (unused)
aic7xxx               113840   1 
sym53c8xx              55904   1 
cpqarray               16272   2 
sd_mod                 11040   2 
scsi_mod               88864   3  [aic7xxx sym53c8xx sd_mod]



Sorry, I should have said
        echo "scsi dump 1" > /proc/scsi/scsi
As opposed to scsi reset


Dump of scsi host parameters:
 0 0 0 : 0 0
 0 0 0 : 0 0


Dump of scsi command parameters:
h:c:t:l (dev sect nsect cnumsec sg) (ret all flg) (to/cmd to ito) cmd snse resul
t
(  0)  0:0: 1: 0 ( 08:01   14    2    2 ffffffff 0) (0 5 0x 0) (3000    0    0)
0x2a 0x00 0x00000000
(  1)  0:0: 1: 0 ( 08:01   10    2    2 ffffffff 2) (0 5 0x 0) (3000    0    0)
0x2a 0x00 0x00000000
(  2)  0:0: 1: 0 ( 08:01   18    2    2 ffffffff 3) (0 5 0x 0) (3000    0    0)
0x2a 0x00 0x00000000
(  3)  0:0: 1: 0 ( 08:01  512    2    2 ffffffff 0) (0 5 0x 0) (3000    0    0)
0x2a 0x00 0x00000000
(  4)  0:0: 1: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
(  5)  0:0: 1: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
(  6)  0:0: 1: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
(  7)  0:0: 1: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
h:c:t:l (dev sect nsect cnumsec sg) (ret all flg) (to/cmd to ito) cmd snse resul
t
(  8)  1:0: 4: 0 ( 08:11   32    8    8 ffffffff 0) (0 5 0x 0) (3000    0    0)
0x2a 0x00 0x00000000
(  9)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 10)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 11)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 12)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 13)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 14)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
( 15)  1:0: 4: 0 ( 00:00    0    0    0 ffffffff 0) (0 0 0x 0) (   0    0    0)
0x00 0x00 0x00000000
Dump of pending block device requests
0: <1>Unable to handle kernel NULL pointer dereference at virtual address 000000
40


etc,...
Comment 3 Phil Copeland 2001-07-17 13:48:38 EDT
As it turns out echo "scsi dump 1" > /proc/scsi/scsi on any scsi box will cause
this oops
it's platform independant (also blew on the alpha)

Comment 4 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.